// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * Enumerated status setting (FC=SP) (ENG_SP)
 * </pre>
 *
 * Protobuf type {@code commonmodule.ENG_PFSignKind}
 */
public final class ENG_PFSignKind extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:commonmodule.ENG_PFSignKind)
    ENG_PFSignKindOrBuilder {
private static final long serialVersionUID = 0L;
  // Use ENG_PFSignKind.newBuilder() to construct.
  private ENG_PFSignKind(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private ENG_PFSignKind() {
    setVal_ = 0;
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new ENG_PFSignKind();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_ENG_PFSignKind_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_ENG_PFSignKind_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.commonmodule.ENG_PFSignKind.class, openfmb.commonmodule.ENG_PFSignKind.Builder.class);
  }

  public static final int SETVAL_FIELD_NUMBER = 1;
  private int setVal_ = 0;
  /**
   * <pre>
   * The value of the status setting.
   * </pre>
   *
   * <code>.commonmodule.PFSignKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The enum numeric value on the wire for setVal.
   */
  @java.lang.Override public int getSetValValue() {
    return setVal_;
  }
  /**
   * <pre>
   * The value of the status setting.
   * </pre>
   *
   * <code>.commonmodule.PFSignKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The setVal.
   */
  @java.lang.Override public openfmb.commonmodule.PFSignKind getSetVal() {
    openfmb.commonmodule.PFSignKind result = openfmb.commonmodule.PFSignKind.forNumber(setVal_);
    return result == null ? openfmb.commonmodule.PFSignKind.UNRECOGNIZED : result;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (setVal_ != openfmb.commonmodule.PFSignKind.PFSignKind_UNDEFINED.getNumber()) {
      output.writeEnum(1, setVal_);
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (setVal_ != openfmb.commonmodule.PFSignKind.PFSignKind_UNDEFINED.getNumber()) {
      size += com.google.protobuf.CodedOutputStream
        .computeEnumSize(1, setVal_);
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.commonmodule.ENG_PFSignKind)) {
      return super.equals(obj);
    }
    openfmb.commonmodule.ENG_PFSignKind other = (openfmb.commonmodule.ENG_PFSignKind) obj;

    if (setVal_ != other.setVal_) return false;
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    hash = (37 * hash) + SETVAL_FIELD_NUMBER;
    hash = (53 * hash) + setVal_;
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.commonmodule.ENG_PFSignKind parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.ENG_PFSignKind parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.ENG_PFSignKind parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.ENG_PFSignKind parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.ENG_PFSignKind parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.ENG_PFSignKind parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.ENG_PFSignKind parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.ENG_PFSignKind parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.ENG_PFSignKind parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.ENG_PFSignKind parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.ENG_PFSignKind parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.ENG_PFSignKind parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.commonmodule.ENG_PFSignKind prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Enumerated status setting (FC=SP) (ENG_SP)
   * </pre>
   *
   * Protobuf type {@code commonmodule.ENG_PFSignKind}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:commonmodule.ENG_PFSignKind)
      openfmb.commonmodule.ENG_PFSignKindOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_ENG_PFSignKind_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_ENG_PFSignKind_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.commonmodule.ENG_PFSignKind.class, openfmb.commonmodule.ENG_PFSignKind.Builder.class);
    }

    // Construct using openfmb.commonmodule.ENG_PFSignKind.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      setVal_ = 0;
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_ENG_PFSignKind_descriptor;
    }

    @java.lang.Override
    public openfmb.commonmodule.ENG_PFSignKind getDefaultInstanceForType() {
      return openfmb.commonmodule.ENG_PFSignKind.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.commonmodule.ENG_PFSignKind build() {
      openfmb.commonmodule.ENG_PFSignKind result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.commonmodule.ENG_PFSignKind buildPartial() {
      openfmb.commonmodule.ENG_PFSignKind result = new openfmb.commonmodule.ENG_PFSignKind(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.commonmodule.ENG_PFSignKind result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.setVal_ = setVal_;
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.commonmodule.ENG_PFSignKind) {
        return mergeFrom((openfmb.commonmodule.ENG_PFSignKind)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.commonmodule.ENG_PFSignKind other) {
      if (other == openfmb.commonmodule.ENG_PFSignKind.getDefaultInstance()) return this;
      if (other.setVal_ != 0) {
        setSetValValue(other.getSetValValue());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {
              setVal_ = input.readEnum();
              bitField0_ |= 0x00000001;
              break;
            } // case 8
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private int setVal_ = 0;
    /**
     * <pre>
     * The value of the status setting.
     * </pre>
     *
     * <code>.commonmodule.PFSignKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The enum numeric value on the wire for setVal.
     */
    @java.lang.Override public int getSetValValue() {
      return setVal_;
    }
    /**
     * <pre>
     * The value of the status setting.
     * </pre>
     *
     * <code>.commonmodule.PFSignKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @param value The enum numeric value on the wire for setVal to set.
     * @return This builder for chaining.
     */
    public Builder setSetValValue(int value) {
      setVal_ = value;
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * The value of the status setting.
     * </pre>
     *
     * <code>.commonmodule.PFSignKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The setVal.
     */
    @java.lang.Override
    public openfmb.commonmodule.PFSignKind getSetVal() {
      openfmb.commonmodule.PFSignKind result = openfmb.commonmodule.PFSignKind.forNumber(setVal_);
      return result == null ? openfmb.commonmodule.PFSignKind.UNRECOGNIZED : result;
    }
    /**
     * <pre>
     * The value of the status setting.
     * </pre>
     *
     * <code>.commonmodule.PFSignKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @param value The setVal to set.
     * @return This builder for chaining.
     */
    public Builder setSetVal(openfmb.commonmodule.PFSignKind value) {
      if (value == null) {
        throw new NullPointerException();
      }
      bitField0_ |= 0x00000001;
      setVal_ = value.getNumber();
      onChanged();
      return this;
    }
    /**
     * <pre>
     * The value of the status setting.
     * </pre>
     *
     * <code>.commonmodule.PFSignKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return This builder for chaining.
     */
    public Builder clearSetVal() {
      bitField0_ = (bitField0_ & ~0x00000001);
      setVal_ = 0;
      onChanged();
      return this;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:commonmodule.ENG_PFSignKind)
  }

  // @@protoc_insertion_point(class_scope:commonmodule.ENG_PFSignKind)
  private static final openfmb.commonmodule.ENG_PFSignKind DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.commonmodule.ENG_PFSignKind();
  }

  public static openfmb.commonmodule.ENG_PFSignKind getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<ENG_PFSignKind>
      PARSER = new com.google.protobuf.AbstractParser<ENG_PFSignKind>() {
    @java.lang.Override
    public ENG_PFSignKind parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<ENG_PFSignKind> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<ENG_PFSignKind> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.commonmodule.ENG_PFSignKind getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

